<template>
  <div class="page-404">
    <div class="wscn-http404">
      <div class="pic-404">
        <img class="pic-404__parent" src="~@/assets/404_images/404.png" alt="404" />
        <img class="pic-404__child left" src="~@/assets/404_images/404_cloud.png" alt="404" />
        <img class="pic-404__child mid" src="~@/assets/404_images/404_cloud.png" alt="404" />
        <img class="pic-404__child right" src="~@/assets/404_images/404_cloud.png" alt="404" />
      </div>
      <div class="bullshit">
        <div class="bullshit__oops">OOPS!</div>
        <div class="bullshit__headline">{{ message }}</div>
        <div class="bullshit__info">请检查您输入的网址是否正确，请点击以下按钮返回主页或者发送错误报告</div>
        <a href="/" class="bullshit__return-home">返回首页</a>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {};
  },
  computed: {
    message() {
      return "此路不通：这个页面你不能进......";
    },
  },
};
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
.page-404 {
  background: #f0f2f5;
  height: 100% !important;
  overflow: hidden;
  .wscn-http404 {
    position: relative;
    width: 1200px;
    height: 100%;
    margin: 20px auto 60px;
    padding: 0 100px;
    overflow: hidden;
    .pic-404 {
      position: relative;
      float: left;
      width: 600px;
      padding: 220px 0;
      overflow: hidden;
      &__parent {
        width: 100%;
      }
      &__child {
        position: absolute;
        &.left {
          width: 80px;
          top: 67px;
          left: 250px;
          opacity: 0;
          animation-name: cloudLeft;
          animation-duration: 2s;
          animation-timing-function: linear;
          animation-fill-mode: forwards;
          animation-delay: 1s;
        }
        &.mid {
          width: 46px;
          top: 60px;
          left: 470px;
          opacity: 0;
          animation-name: cloudMid;
          animation-duration: 2s;
          animation-timing-function: linear;
          animation-fill-mode: forwards;
          animation-delay: 1.2s;
        }
        &.right {
          width: 62px;
          top: 150px;
          left: 550px;
          opacity: 0;
          animation-name: cloudRight;
          animation-duration: 2s;
          animation-timing-function: linear;
          animation-fill-mode: forwards;
          animation-delay: 1s;
        }
        @keyframes cloudLeft {
          0% {
            top: 67px;
            left: 250px;
            opacity: 0;
          }
          20% {
            top: 83px;
            left: 218px;
            opacity: 1;
          }
          80% {
            top: 131px;
            left: 122px;
            opacity: 1;
          }
          100% {
            top: 147px;
            left: 90px;
            opacity: 0;
          }
        }
        @keyframes cloudMid {
          0% {
            top: 60px;
            left: 500px;
            opacity: 0;
          }
          20% {
            top: 90px;
            left: 440px;
            opacity: 1;
          }
          70% {
            top: 180px;
            left: 260px;
            opacity: 1;
          }
          100% {
            top: 210px;
            left: 200px;
            opacity: 0;
          }
        }
        @keyframes cloudRight {
          0% {
            top: 150px;
            left: 550px;
            opacity: 0;
          }
          20% {
            top: 170px;
            left: 510px;
            opacity: 1;
          }
          80% {
            top: 230px;
            left: 390px;
            opacity: 1;
          }
          100% {
            top: 250px;
            left: 350px;
            opacity: 0;
          }
        }
      }
    }
    .bullshit {
      position: relative;
      float: left;
      width: 300px;
      padding: 250px 0;
      overflow: hidden;
      &__oops {
        font-size: 32px;
        font-weight: bold;
        line-height: 40px;
        color: #1482f0;
        opacity: 0;
        margin-bottom: 20px;
        animation-name: slideUp;
        animation-duration: 0.5s;
        animation-fill-mode: forwards;
      }
      &__headline {
        font-size: 20px;
        line-height: 24px;
        color: #1482f0;
        opacity: 0;
        margin-bottom: 10px;
        animation-name: slideUp;
        animation-duration: 0.5s;
        animation-delay: 0.1s;
        animation-fill-mode: forwards;
      }
      &__info {
        font-size: 13px;
        line-height: 21px;
        color: grey;
        opacity: 0;
        margin-bottom: 30px;
        animation-name: slideUp;
        animation-duration: 0.5s;
        animation-delay: 0.2s;
        animation-fill-mode: forwards;
      }
      &__return-home {
        display: block;
        float: left;
        width: 110px;
        height: 36px;
        background: #1482f0;
        border-radius: 100px;
        text-align: center;
        color: #ffffff;
        opacity: 0;
        font-size: 14px;
        line-height: 36px;
        cursor: pointer;
        animation-name: slideUp;
        animation-duration: 0.5s;
        animation-delay: 0.3s;
        animation-fill-mode: forwards;
      }
      @keyframes slideUp {
        0% {
          transform: translateY(60px);
          opacity: 0;
        }
        100% {
          transform: translateY(0);
          opacity: 1;
        }
      }
    }
  }
}
</style>
